Subject: [sipcore] Feature-Caps - feature tag registration [was: Draft new version: draft-holmberg-sipcore-proxy-feature-03 (featuring the Feature-Caps header field)]

From: Christer Holmberg <[email-masked]>
Date: Wed, 2 Nov 2011 21:00:25 +0100

Hi,

(Moved first part from the terminology thread)

>>> Section 8:
>>>
>>> Since this is using feature tags, it has to live with the IANA
>>> registration mechanism defined in 2506. I think that means, at best, you
>>> can require that certain material be included in the "Related standards
>>> or documents" that can optionally be included in a feature tag
>>> registration. That means it won't be possible to discern from a feature
>>> tag registration whether it applicable for use in Feature-Caps.
>>
>> I don't know remember whether the references are optional or not, but at least 3GPP has provided them for all feature tags.
>
> I checked - they are optional.
>
>> But, in general, I still think we can provide guidance and recommendations in the spec on what kind of information needs to be provided in the definition/registration.
>
> I guess you can say that a feature-tag can only be used in this way if
> the registration of the tag references a document that has some specific
> content. That would rule out all the existing ones, until their
> registration is updated.
>
>>>> And, as you also indicated, we can specify what information a feature tag specification, and its associated IANA registration, needs to contain.
>>>
>>> If we use feature tags, unless we require use of the "sip" tree, or
>>> define a new tree, I don't think we can specify what the specification
>>> includes, since the registration is defined by RFC 2506.
>>
>> What is it then that is missing today? For example, alll the currently IANA registered g.3gpp feature tags DO contain a specification reference.
>
> We can't easily (without ammending 2506) change what is required to
> register a feature tag. The document references are optional, and there
> is no required content for referenced documents.
>
> I think its probably possible to craft the normative requirements for a
> new usage of feature-tags (i.e. in Feature-Caps) to restrict usage to
> feature tags that have a referenced document with some specific content.
>
> What that wouldn't do is normatively prohibit the use of those new
> feature tags in other places, such as called out in 3840/3841. To do
> that we would have to revise 3840/3841.

I am sure we will be able to sort those things out.

Regards,

Christer